name: CI


on:
  push:
    branches:
      - "**"
    tags:
      - "!**"
    paths: 
      - ".github/workflows/ci.yml"
      - "apps/infoalloggi/**"
  pull_request:
    paths: 
      - ".github/workflows/ci.yml"
      - "apps/infoalloggi/**"

env:
  INTERNAL_BASE_URL: "http://web:3000"
  PGHOST: "localhost"
  POSTGRES_USER: "test"
  POSTGRES_DB: "test"
  POSTGRES_PASSWORD: "test"
  PGPORT: 123
  BACKENDSERVER_URL: "https://fake.com"
  NEXT_PUBLIC_BASE_URL: "https://fake.com"
  STRIPE_SECRET_KEY: "string"
  STRIPE_WEBHOOK_SECRET: "string"
  NEXT_PUBLIC_STRIPE_PUBLIC_KEY: "string"
  STRIPE_LIMITED_KEY: "string"
  FIC_CLIENT_ID: "string"
  FIC_ACCESS_TOKEN: "string"
  FIC_COMPANY_ID: "string"
  NEXT_TELEMETRY_DISABLED: 1
  ARUBA_USER: "string"
  ARUBA_PASS: "string"
  EXP_API_USER: "string"
  EXP_API_PASS: "string"
  TILES_URL: "keydb://string"
  KEYDB_URL: "keydb://string"
  JWT_SECRET: "335922ae"
  SKIP_REDIS: "false"


jobs:
  build:
    runs-on: ubuntu-latest
    defaults:
      run:
        working-directory: apps/infoalloggi/
    steps:
      - uses: actions/checkout@v4
      - uses: actions/setup-node@v4
        with:
          node-version: 20
          cache: "npm"
          cache-dependency-path: apps/infoalloggi/package-lock.json
          
      - name: Install Dependencies
        run: npm install

      - name: Typecheck
        run: npm run types

      - name: Lint
        run: npm run lint

      - name: Print Environment Variable
        run: echo $MY_ENV_VAR

      #- name: Run knip
      #  run: npx knip --no-exit-code
